function _EMOTION_STRINGIFIED_CSS_ERROR__() { return "You have tried to stringify object returned from `css` function. It isn't supposed to be used directly (e.g. as value of the `className` prop), but rather handed to emotion so it can handle it (e.g. as value of `css` prop)."; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

import { css } from '@emotion/react';
import { euiFormCustomControlStyles } from '../form.styles';
var _ref = process.env.NODE_ENV === "production" ? {
  name: "u54glv-indeterminate",
  styles: "transform:scale(0.5);label:indeterminate;"
} : {
  name: "u54glv-indeterminate",
  styles: "transform:scale(0.5);label:indeterminate;",
  toString: _EMOTION_STRINGIFIED_CSS_ERROR__
};
export var euiCheckboxControlStyles = function euiCheckboxControlStyles(euiThemeContext) {
  var euiTheme = euiThemeContext.euiTheme;
  var controlStyles = euiFormCustomControlStyles(euiThemeContext);
  return {
    euiCheckboxControl: /*#__PURE__*/css(controlStyles.input.fauxInput, " border-radius:", euiTheme.border.radius.small, ";;label:euiCheckboxControl;"),
    enabled: {
      selected: /*#__PURE__*/css(controlStyles.input.enabled.selected, ";label:selected;"),
      unselected: /*#__PURE__*/css(controlStyles.input.enabled.unselected, ";label:unselected;"),
      excluded: /*#__PURE__*/css(controlStyles.input.enabled.selected, " background-color:", euiTheme.colors.backgroundFilledDanger, ";border-color:", euiTheme.colors.backgroundFilledDanger, ";;label:excluded;")
    },
    disabled: {
      selected: /*#__PURE__*/css(controlStyles.input.disabled.selected, ";label:selected;"),
      unselected: /*#__PURE__*/css(controlStyles.input.disabled.unselected, ";label:unselected;")
    },
    icon: {
      euiCheckbox__icon: /*#__PURE__*/css(";label:euiCheckbox__icon;"),
      check: /*#__PURE__*/css(controlStyles.input.icon, " stroke:currentColor;;label:check;"),
      indeterminate: _ref
    }
  };
};